Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds.naming
Class NdsEnvironment

    java.lang.Object
      |
      +--com.novell.utility.naming.Environment
            |
            +--com.novell.service.nds.naming.NdsEnvironment

public class NdsEnvironment
extends Environment
implements java.lang.Cloneable, java.io.Serializable

Provides the set of constant Strings that uniquely controls the behavior of an NdsContext.

See Also:
  `Environment`

Field Summary
`static java.lang.String` | `CLASS_ATTRIBUTE_LEVEL` Environment property containing the class attribute level.
`static java.lang.String` | `CLASS_DEFS` Environment property containing the class definitions.
`static java.lang.String` | `CONFIDENCE` Environment property containing the confidence.
`static java.lang.Integer` | `DCV_HIGH_CONF` Environment property containing the high confidence level.
`static java.lang.Integer` | `DCV_LOW_CONF` Environment property containing the low confidence level.
`static java.lang.Integer` | `DCV_MED_CONF` Environment property containing the medium confidence level.
`static java.lang.String` | `DEFAULT_ATTRS` Environment property containing the default object attributes.
`static java.lang.String` | `DEFAULT_DEFS` Environment property containing the default class definitions.
`static java.lang.String` | `DISALLOW_REFERRALS` Environment property containing the disallowed referrals.
`static java.lang.String` | `DSI_OBJECT_ATTRS` Environment property containing the DSI object attributes.
`static java.lang.String` | `EXPANDED_CLASS_DEFS` Environment property containing the expanded class definitions.
`static java.lang.String` | `FULL_CLASS_DEFS` Environment property containing the full class definitions.
`static java.lang.String` | `INFO_CLASS_DEFS` Environment property containing the information class definitions.
`static java.lang.String` | `LAST_CONNECTION` Environment property containing the last connection.
`static java.lang.String` | `NDS_TRANSPORT_PROTOCOL` Environment property containing the current NDS transport protocol.
`static java.lang.String` | `OBJECT_ATTR_NAMES` Environment property containing the object attribute names.
`static java.lang.String` | `OBJECT_ATTRIBUTE_LEVEL` Environment property containing the object attribute level.
`static java.lang.String` | `OBJECT_ATTRS` Environment property containing the object attributes.
`static java.lang.String` | `TYPELESS_NAMES` Environment property containing the typeless name.

Fields inherited from class com.novell.utility.naming.Environment
`AUTHORITATIVE, BATCHSIZE, DNS_URL, FS_INITIAL_CONTEXT_FACTORY, IIOP_PROTOCOL, INITIAL_CONTEXT_FACTORY, LANGUAGE, LDAP_PROTOCOL, NCP_PROTOCOL, NDS_INITIAL_CONTEXT_FACTORY, NW_INITIAL_CONTEXT_FACTORY, OBJECT_FACTORIES, PROVIDER_URL, QMS_INITIAL_CONTEXT_FACTORY, REFERRAL, RMI_PROTOCOL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, SERVER_INITIAL_CONTEXT_FACTORY, SESSION_MANAGER_OBJECT, SESSION_OBJECT, TRANSPORT_PROTOCOL, URL_PKG_PREFIXES`

Methods inherited from class com.novell.utility.naming.Environment
``

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISALLOW_REFERRALS

    public static final java.lang.String DISALLOW_REFERRALS

  Environment property containing the disallowed referrals.

  (DISALLOW_REFERRALS = "java.naming.nds.disallowReferrals")

### LAST_CONNECTION

    public static final java.lang.String LAST_CONNECTION

  Environment property containing the last connection.

  (LAST_CONNECTION = "java.naming.nds.lastConnection")

### CONFIDENCE

    public static final java.lang.String CONFIDENCE

  Environment property containing the confidence.

  (CONFIDENCE = "java.naming.nds.confidence")

### TYPELESS_NAMES

    public static final java.lang.String TYPELESS_NAMES

  Environment property containing the typeless name.

  (TYPELESS_NAMES = "java.naming.nds.typelessNames")

### DCV_LOW_CONF

    public static final java.lang.Integer DCV_LOW_CONF

  Environment property containing the low confidence level.

  (DCV_LOW_CONF = new Integer (0))

### DCV_MED_CONF

    public static final java.lang.Integer DCV_MED_CONF

  Environment property containing the medium confidence level.

  (DCV_MED_CONF = new Integer (1))

### DCV_HIGH_CONF

    public static final java.lang.Integer DCV_HIGH_CONF

  Environment property containing the high confidence level.

  (DCV_HIGH_CONF = new Integer (2))

### OBJECT_ATTRS

    public static final java.lang.String OBJECT_ATTRS

  Environment property containing the object attributes.

  (OBJECT_ATTRS = "OBJECT_ATTRS")

### OBJECT_ATTR_NAMES

    public static final java.lang.String OBJECT_ATTR_NAMES

  Environment property containing the object attribute names.

  (OBJECT_ATTR_NAMES = "OBJECT_ATTR_NAMES")

### DSI_OBJECT_ATTRS

    public static final java.lang.String DSI_OBJECT_ATTRS

  Environment property containing the DSI object attributes.

  (DSI_OBJECT_ATTRS = "DSI_OBJECT_ATTRS")

### OBJECT_ATTRIBUTE_LEVEL

    public static final java.lang.String OBJECT_ATTRIBUTE_LEVEL

  Environment property containing the object attribute level.

  (OBJECT_ATTRIBUTE_LEVEL = "java.naming.nds.objectAttributeLevel")

### DEFAULT_ATTRS

    public static final java.lang.String DEFAULT_ATTRS

  Environment property containing the default object attributes.

  (DEFAULT_ATTRS = OBJECT_ATTRS)

### CLASS_DEFS

    public static final java.lang.String CLASS_DEFS

  Environment property containing the class definitions.

  (CLASS_DEFS = "CLASS_DEFS")

### EXPANDED_CLASS_DEFS

    public static final java.lang.String EXPANDED_CLASS_DEFS

  Environment property containing the expanded class definitions.

  (EXPANDED_CLASS_DEFS = "EXPANDED_CLASS_DEFS")

### INFO_CLASS_DEFS

    public static final java.lang.String INFO_CLASS_DEFS

  Environment property containing the information class definitions.

  (INFO_CLASS_DEFS = "INFO_CLASS_DEFS")

### FULL_CLASS_DEFS

    public static final java.lang.String FULL_CLASS_DEFS

  Environment property containing the full class definitions.

  (FULL_CLASS_DEFS = "FULL_CLASS_DEFS")

### CLASS_ATTRIBUTE_LEVEL

    public static final java.lang.String CLASS_ATTRIBUTE_LEVEL

  Environment property containing the class attribute level.

  (CLASS_ATTRIBUTE_LEVEL = "java.naming.nds.classAttributeLevel")

### DEFAULT_DEFS

    public static final java.lang.String DEFAULT_DEFS

  Environment property containing the default class definitions.

  (DEFAULT_DEFS = "CLASS_DEFS")

### NDS_TRANSPORT_PROTOCOL

    public static final java.lang.String NDS_TRANSPORT_PROTOCOL

  Environment property containing the current NDS transport protocol.

  (NDS_TRANSPORT_PROTOCOL = "java.naming.nds.transport.protocol")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD